org.gradle.api.tasks

## Interface TaskDestroyables

-     @Incubating
      public interface TaskDestroyables

  Represents the files or directories that a `Task` destroys (removes).
  Since:
    4.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `file(Object path)` Registers a file or directory that this task destroys.
    `void` | `files(Object... paths)` Registers some files that this task destroys.
    `FileCollection` | `getFiles()` Returns the files or directories that this task destroys.

- - ### Method Detail

    - #### files

          void files(Object... paths)

      Registers some files that this task destroys.
      Parameters:
        `paths` - The files that will be destroyed. The given paths are evaluated as per `Project.files(Object...)`.

    - #### file

          void file(Object path)

      Registers a file or directory that this task destroys.
      Parameters:
        `path` - A file that will be destroyed. The given path is evaluated as per `Project.files(Object...)`.

    - #### getFiles

          FileCollection getFiles()

      Returns the files or directories that this task destroys.
      Returns:
        The files that will be destroyed. Returns an empty collection if this task does not destroy any files.